Skip to content

Device Fingerprints

Device fingerprints are possession-based SCA challenge factors. They allow you to verify that a user is accessing the API from a recognized device.

A profile can have up to 3 device fingerprints registered simultaneously. All device fingerprint operations use JOSE (JWE) encryption. See the SCA over API guide for encryption details.

Create a device fingerprint

Request

Creates a new device fingerprint factor used to resolve a SCA possession challenge type.

The request and response are encrypted using the JOSE framework. Please refer to the SCA over API guide to understand how encryption and decryption work.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

Headers
Acceptstringrequired
Default:"application/jose+json"
Accept-Encodingstringrequired
Default:"identity"
Content-Encodingstringrequired
Default:"identity"
X-tw-jose-methodstringrequired
Default:"jwe"
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jose+jsonrequired
string

A JWE encrypted string. The decrypted payload contains:

  • deviceFingerprint — A string value used as a device fingerprint.

Payload before encryption:

{"deviceFingerprint": "3207da22-a0d3-4b6b-a591-6297e646fe32"}
curl -X POST \
  'https://api.wise-sandbox.com/v2/profiles/{profileId}/device-fingerprints' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Accept: application/jose+json' \
  -H 'Accept-Encoding: identity' \
  -H 'Content-Type: application/jose+json' \
  -H 'Content-Encoding: identity' \
  -H 'X-tw-jose-method: jwe' \
  -d 'eyJlbmMiOiJBMjU2R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.W0fuxaZOoyaBcx...'

Responses

The device fingerprint has been successfully created.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
deviceFingerprintIdstring, (uuid)

The identifier of the device fingerprint.

createdAtstring, (date-time)

The device fingerprint creation timestamp.

Response
{ "deviceFingerprintId": "636a5514-aa86-4719-8700-e9a9a0ae7ea7", "createdAt": "2025-05-24T07:27:58.273205554Z" }